Skip to Content
CallMitraDocs
API referenceCampaigns

Dialing status

Whether the campaign is placing calls right now and, if not, why and when it will.

GET
/api/v1/campaigns/{campaign_id}/dial-status

Whether the campaign is placing calls right now and, if not, why and when it will.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

campaign_id*string

Campaign ID.

Formatuuid

Response Body

OK

application/json
  1. response

Whether the campaign is placing calls right now and, if not, why and when it will.

activeCall?|

First call in progress, or null.

activeCallCount?|

Calls in progress.

activeCalls?array<>|

Every call in progress.

autoDialEnabled?|

Dialing is not paused.

callsToday?|

Calls placed today, in the dial time zone.

dialState?|

Dialing state, for example dialing, waiting or paused.

dialTimezone?|

Time zone of the dial window.

dialWindowEnd?|

Window end, HH:MM.

dialWindowStart?|

Window start, HH:MM.

dialingAllowed?|

Calls may be placed right now.

inDialWindow?|

Now is inside the dial window and days.

isActive?|

The campaign is running.

lastError?|

Last dialing error as reported, or null.

lastErrorAt?|

When the last dialing error happened.

Formatdate-time
lastErrorCode?|

Code of the last dialing error, or null.

lastErrorMessage?|

The last dialing error as a sentence, or null.

maxCallsPerDay?|

Daily limit.

nextEligibleDialAt?|

Earliest time a lead is due for a call.

Formatdate-time
nextJobRunAt?|

Next scheduled dial round.

Formatdate-time
nextWindowOpenAt?|

When the window opens next, when outside it.

Formatdate-time
pendingJobCount?|

Dial rounds waiting to run.

providerBlocked?|

The carrier is refusing calls until you act.

skipReason?|

Why calls are not being placed, for example outside_window or daily_cap.

success?|

Always true.

[key: string]?any
Example Request
curl -X GET 'https://api.callmitra.ai/api/v1/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/dial-status'
Example Response
{  "activeCallCount": 0,  "activeCalls": [],  "autoDialEnabled": true,  "callsToday": 48,  "dialState": "waiting",  "dialTimezone": "Asia/Kolkata",  "dialWindowEnd": "18:00",  "dialWindowStart": "10:00",  "dialingAllowed": false,  "inDialWindow": false,  "isActive": true,  "maxCallsPerDay": 200,  "nextWindowOpenAt": "2026-11-16T04:30:00Z",  "skipReason": "outside_window",  "success": true}